/**
 * Created by ericwood on 6/1/17.
 */
const injector = require('inject-loader!injectTestModule');

// Include chai assertion library
const chai = require('chai');

// Include sinon mocking library
const sinon = require('sinon');

// Use the sinon-chai middleware with chai
const sinonChai = require('sinon-chai');
chai.use(sinonChai);
const expect = chai.expect;

describe('injectTestModule', () => {
  it('should return false when mocked', () => {
    "use strict";
    const injected = injector({
      'injectTestReferencedModule': {injectTest: false}
    });

    expect(injected).to.equal(false);
  });
});
